clang 10.0.0git

Functions
ConstraintManager.cpp File Reference
`#include "clang/StaticAnalyzer/Core/PathSensitive/ConstraintManager.h"`
`#include "clang/AST/Type.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/MemRegion.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/ProgramState.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/ProgramState_Fwd.h"`
`#include "clang/StaticAnalyzer/Core/PathSensitive/SVals.h"`
Include dependency graph for ConstraintManager.cpp:

Go to the source code of this file.

## Functions
static DefinedSVal | getLocFromSymbol (const ProgramStateRef &State, SymbolRef Sym)

## Function Documentation

## ◆ getLocFromSymbol()

static DefinedSVal getLocFromSymbol | ( | const ProgramStateRef & | State,
|  | SymbolRef | Sym
| ) |  |
| static

Definition at line 25 of file ConstraintManager.cpp.

Referenced by clang::ento::ConstraintManager::checkNull().